FixturePortCollection Class

class NXOpen.Routing.FixturePortCollection

Bases: object

Represents a collection of NXOpen.Routing.FixturePort objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
CreateFixturePort Creates a FixturePort with a rotation vector at an absolute location.
CreateFromAxis Creates a fixture port based on an existing axis.
CreateFromCsys Creates a fixture port based on an existing Cartesian Coordinate System.

Method Detail

CreateFixturePort

FixturePortCollection.CreateFixturePort

Overloaded method CreateFixturePort

  • CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle)
  • CreateFixturePort(origin, alignmentVector)
  • CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point)
  • CreateFixturePort(origin, alignmentVector, point)
  • CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis)
  • CreateFixturePort(origin, alignmentVector, derivationObject)
  • CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, allowMultipleConnections)
  • CreateFixturePort(origin, alignmentVector, allowMultipleConnections)
  • CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point, allowMultipleConnections)
  • CreateFixturePort(origin, alignmentVector, point, allowMultipleConnections)
  • CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis, allowMultipleConnections)
  • CreateFixturePort(origin, alignmentVector, derivationObject, allowMultipleConnections)

-------------------------------------

Creates a FixturePort with a rotation vector at an absolute location. Default allows multiple connections to this port.

Signature CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fixture port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with no rotation vector at an absolute location. Default allows multiple connections to this port.

Signature CreateFixturePort(origin, alignmentVector)

Parameters:
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with a rotation vector at a point. Default allows multiple connections to this port.

Signature CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fixture port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • point (NXOpen.Point) – Fixture Port derived from this point
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with no rotation vector at a point. Default allows multiple connections to this port.

Signature CreateFixturePort(origin, alignmentVector, point)

Parameters:
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with a rotation vector on an axis. Default allows multiple connections to this port.

Signature CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fixture port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • axis (NXOpen.Axis) – Fixture Port derived from this axis
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with no rotation vector on an axis. Default allows multiple connections to this port.

Signature CreateFixturePort(origin, alignmentVector, derivationObject)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • derivationObject (NXOpen.Axis) – Fixture Port derived from this axis
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with a rotation vector at an absolute location

Signature CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fixture port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • allowMultipleConnections (bool) – Does this fixture port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with no rotation vector at an absolute location

Signature CreateFixturePort(origin, alignmentVector, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • allowMultipleConnections (bool) – Does this fixture port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with a rotation vector at a point

Signature CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fixture port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • point (NXOpen.Point) – Fixture Port derived from this point
  • allowMultipleConnections (bool) – Does this fixture port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with no rotation vector at a point

Signature CreateFixturePort(origin, alignmentVector, point, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • point (NXOpen.Point) – Fixture Port derived from this point
  • allowMultipleConnections (bool) – Does this fixture port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with a rotation vector on an axis

Signature CreateFixturePort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the fixture port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • axis (NXOpen.Axis) – Fixture Port derived from this axis
  • allowMultipleConnections (bool) – Does this fixture port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a FixturePort with no rotation vector on an axis

Signature CreateFixturePort(origin, alignmentVector, derivationObject, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the fixture port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the fixture port
  • derivationObject (NXOpen.Axis) – Fixture Port derived from this axis
  • allowMultipleConnections (bool) – Does this fixture port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

CreateFromAxis

FixturePortCollection.CreateFromAxis

Creates a fixture port based on an existing axis.

Signature CreateFromAxis(axis)

Parameters:axis (NXOpen.Axis) – The new Fixture Port will be derived from this axis
Returns:
Return type:NXOpen.Routing.FixturePort

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)

CreateFromCsys

FixturePortCollection.CreateFromCsys

Creates a fixture port based on an existing Cartesian Coordinate System.

The port aligns with the Z axis of the Coordinate System. The port’s rotation vector, if any, aligns with the Y direction of the Coordinate System.

Signature CreateFromCsys(csys, createRotationVector)

Parameters:
Returns:

Return type:

NXOpen.Routing.FixturePort

New in version NX10.0.0.

License requirements: routing_base (“Routing Basic”)